import { TimelineReader } from '$lib/server/timeline';
import type { HandleServerError } from '@sveltejs/kit';
import fs from 'fs/promises';

TimelineReader.init();

export const handleError = (({ error }) => {
  if (error instanceof Error) {
    console.error('Something went wrong: ', error.name, error.message);
  }

  return {
    message: 'Whoops!',
    code: (error as any)?.code ?? 'UNKNOWN'
  };
}) satisfies HandleServerError;

import type { Handle } from '@sveltejs/kit';

export const handle = (async ({ event, resolve }) => {
  if (event.url.pathname === '/feed.atom') {
    const f = await fs.readFile('feed.atom', { encoding: 'utf8' });
    return new Response(
      f,
      { headers: [['Content-Type', 'application/atom+xml']] }
    );
  }

  const response = await resolve(event);
  return response;
}) satisfies Handle;